<< VideoCapture | Video reading | VideoCapture_read >>

scicv >> Video > Video reading > VideoCapture_isOpened

# VideoCapture_isOpened

Returns the video capturing opening status.

### Syntax

    ret = VideoCapture_isOpened(videoCapture)

### Parameters

videoCapture

  Video capture object (VideoCapture).

ret

  Status (boolean).

### Description

`VideoCapture_isOpened` returns `%T` if video capturing has been successfully initialized and opened.

### Examples

    scicv_Init();

    // First capturing device connected
    videoCapture = new_VideoCapture(0);

    if ~VideoCapture_isOpened(videoCapture) then
        disp("Capturing device #0 cannot be opened. Please plug a camera.")
    end

    delete_VideoCapture(videoCapture);

### See also

- delete_VideoCapture

Report an issue
<< VideoCapture | Video reading | VideoCapture_read >>